{
  name: "Rocket Flare",
  spritenum: -621,
  fling: {
    basePower: 80,
    status: 'brn',
  },
  onModifyPriority(priority, pokemon, target, move) {
    if (move?.type === "Flying" && move.category !== "Status")
      return priority + 1;
  },
  onAfterMoveSecondarySelf(target, source, move) {
  	if (move?.type === "Flying" && move.category !== "Status") {
  	  target.useItem();
      this.damage(target.baseMaxhp / 6, target, target);
  	  target.trySetStatus('brn', target);
  	}
  },
  num: -715,
  gen: 9,
}